package com.yeejoin.amos.boot.module.jg.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jg.api.dto.ShCarDto;
import com.yeejoin.amos.boot.module.jg.api.entity.ShCar;

import java.util.Map;

/**
 * 三环系统-车辆信息表接口类
 *
 * @author system_generator
 * @date 2024-11-08
 */
public interface IShCarService {

    Page<ShCarDto> queryForShCarPage(Page<ShCarDto> page, ShCarDto dto);

    Boolean claim(String claimOneself,Map<String, Object> paramMap);

    ShCar searchForSanHan(Map<?, ?> map);
}
